Get App Configurations
Get app configurations for host.
- This endpoint can be used to get app configurations for a host.
- It can be used to get allowed mangoes for an app.
:::info
- Currently only supports these apps levelup, universe, crm, flute, sparks, tm-ai-cofounder.
- These apps must be installed to the dashboard first before accessing this endpoint.
- Any custom app added from Dashboard will not be supported. :::
Authorization
bearer In: header
Query Parameters
Key of the app, for fetching configurations. Available apps: levelup, universe, crm, flute, sparks, tm-ai-cofounder
Header Parameters
Host name of the dashboard, ex: mydomain.tagmango.com
Response Body
application/json
application/json
application/json
curl -X GET "https://api-prod-new.tagmango.com/api/v1/external/host/apps?app=levelup" \ -H "x-whitelabel-host: string"{
"key": "levelup",
"allowedMangoes": [
{
"_id": "66a1390268a76f2f5c9f39a3",
"creator": "77b2390268a76f2f5c9f39a4",
"title": "Introduction to Coding",
"price": 500,
"currency": "USD",
"description": "This is a comprehensive guide to coding.",
"isHidden": false,
"isDeleted": false,
"recurringType": "MONTHLY",
"isPublic": false,
"isFree": true,
"createdAt": "2024-08-11T10:20:30Z",
"updatedAt": "2024-08-11T10:20:30Z"
}
]
}{
"code": 400,
"type": "Bad request",
"statusMessage": "BAD_REQUEST",
"message": "Invalid request",
"success": false
}{
"code": 401,
"type": "Unauthorized",
"statusMessage": "UNAUTHORIZED",
"message": "Invalid token",
"success": false
}Assign Badges To User PATCH
Assign badges to a user. - This endpoint can be used to assign badges to a user. - It doesn't support revoking badges.
Update App Configurations PATCH
Update app configurations for host. - This endpoint can be used to update app configurations for a host. - It can be used to update allowed mangoes for an app. :::warning - Currently only supports these apps levelup, universe, crm, flute, sparks, tm-ai-cofounder. - These apps must be installed to the dashboard first before accessing this endpoint. - Any custom app added from Dashboard will not be supported. - Passing empty array will remove all allowed mangoes for the app, so update the allowed mangoes carefully. :::